const mongoose = require('mongoose');
 
const OrderReturnSchema = mongoose.Schema({
	awb:{
		type: String, 
	},
	marketplace_order_id:{
		type: String, 
	},
	sku:{
		type:String
	}, 
	return_reason:{
		type: String, 
	},
	remark:{
		type: String, 
	},
	quantity:{
		type: String, 
	},
	qc:{
		type: String, 
	},
	claim:{
		type: String, 
	},
	action:{
		type: String, 
	},
	type:{
		type: String,
	}, 
	account_name:{
		type: String,
	},
	order_date:{
		type: Date,
		default: Date.now
	},
	order_return_date:{
		type: Date,
		default: Date.now
	},
	date_added:{
		type: Date,
		default: Date.now
	},
	date_modified:{
		type: Date,
		default: Date.now
	},
	orderAmount:{
		type: Number, 
	},
	refundAmount:{
		type: Number, 
	}, 
	scan_status:{
		type: Number, 
		default: 0, 
	},
	saleableQty:{
		type:Number,
		default: 0
	},
	nonSaleableQty:{
		type:Number,
		default: 0
	},
	damageQty:{
		type:Number,
		default: 0
	},
	onshelfStatus:{
		type: Number, 
		default: 0, 
	},
	onshelfRemark:{
		type: String,
	}
});

OrderReturnSchema.post(['save','insertMany'],async function (doc){
    try{
        let returns = [];
        if(Array.isArray(doc)){
            returns = doc;
        } else {
            returns = [doc];
        }
    } catch(err){
        console.log(err);
    }
});
 
module.exports = mongoose.model('OrderReturn', OrderReturnSchema)
 
// cond = Condition